coverage {arules} | R Documentation

## Calculate coverage for rules

### Description

Provides the generic function and the needed S4 method to calculate the coverage (support of the left-hand-side) of rules.

### Usage

    coverage(x, transactions = NULL, reuse = TRUE)

### Arguments

`x` | the set of rules.
`transactions` | the data set used to generate 'x'. Only needed if the quality slot of 'x' does not contain support and confidence.
`reuse` | reuse support and confidence stored in 'x' or recompute from transactions?

### Details

Coverage (also called cover or LHS-support) is the support of the left-hand-side of the rule, i.e., supp(X). It represents a measure of to how often the rule can be applied.

Coverage is quickly calculated from the rules quality measures (support and confidence) stored in the quality slot. If these values are not present, then the support of the LHS is counted using the data supplied in `transactions`.

Coverage is also one of the measures available via the function `interestMeasures`.

### Value

A numeric vector of the same length as `x` containing the coverage values for the sets in `x`.

### Author(s)

Michael Hahsler

### See Also

`interestMeasure`, `rules-class`

### Examples

    data("Income")

    ## find and some rules (we only use 5 rules here) and calculate coverage
    rules <- apriori(Income)[1:5]
    quality(rules) <- cbind(quality(rules), coverage = coverage(rules))

    inspect(rules)

[Package arules version 1.6-3 Index]